// coding: utf-8

function $id(x) { return document.getElementById(x) }

function action(){
    var res = $id('res');
    var socket = new WebSocket('ws://localhost:8180/test');

    socket.onopen = function(e){
        socket.send($id('text1').value);
        res.innerHTML = '受信開始...<br />';
    }
    socket.onmessage = function(e){
        res.innerHTML += e.data + '<br />';
    }
    socket.onerror = function(){
        res.innerHTML += '<b>エラー発生</b><br />';
    }
    socket.onclose = function(){
        res.innerHTML += '受信終了';
    }
}

window.addEventListener('load', function() {
    $id('title').textContent = document.title;
});
